Bug 9952 - MARC tab: tab 0 is not translated correctly
Summary: MARC tab: tab 0 is not translated correctly
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Adrien SAURAT
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-29 10:33 UTC by Adrien SAURAT
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot English (12.96 KB, image/png)
2013-03-29 10:33 UTC, Adrien SAURAT
Details
screenshot French (12.71 KB, image/png)
2013-03-29 10:34 UTC, Adrien SAURAT
Details
proposed patch (1.07 KB, patch)
2013-03-29 10:56 UTC, Adrien SAURAT
Details | Diff | Splinter Review
Bug 9953 - When OpacMaintenance brakes lifting debarment (5.09 KB, patch)
2013-03-29 20:55 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 9952: translation of the "tab 0" in MARC detail (1.13 KB, patch)
2013-03-31 03:42 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 9952: translation of the "tab 0" in MARC detail (1.23 KB, patch)
2013-03-31 11:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2013-03-29 10:33:47 UTC
Created attachment 17021 [details]
screenshot English

When displaying the MARC informations of a biblio, the numbered tabs are correctly displayed in Enlish but not in French (and it's probably the same problem for any translated language).

Somehow, the 0 disappears during the translation process. When replaced by the html code referring to the "0" character, the translation works fine.
Comment 1 Adrien SAURAT 2013-03-29 10:34:10 UTC
Created attachment 17022 [details]
screenshot French
Comment 2 Adrien SAURAT 2013-03-29 10:56:57 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2013-03-29 20:55:06 UTC Comment hidden (obsolete)
Comment 4 Liz Rea 2013-03-29 20:56:56 UTC
Comment on attachment 17039 [details] [review]
Bug 9953 - When OpacMaintenance brakes lifting debarment

wrong bug.
Comment 5 Chris Cormack 2013-03-31 03:41:55 UTC
This patch fixes this problem, not sure how or why, but it does

Before the patch, 
 [% IF ( tab0XX ) %] <li><a href="#tab0XX"></a></li>      

After the patch
 [% IF ( tab0XX ) %] <li><a href="#tab0XX">&#48;</a></li>
Comment 6 Chris Cormack 2013-03-31 03:42:30 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2013-03-31 11:06:40 UTC
Not sure if this not only fixes the symptom instead of the bug. 

I guess we have this happening in other places as well. When you have reviews activated in the OPAC in German the tab always shows ( ) - in English it's (0). 

That said I am not opposed to a quick fix, but I would prefer finding out why it doesn't get parsed correctly by the translation scripts.
Comment 8 Katrin Fischer 2013-03-31 11:09:16 UTC
Created attachment 17082 [details] [review]
[PASSED QA] Bug 9952: translation of the "tab 0" in MARC detail

The html code of 0 (&#48;) is necessary for this
tab to be correctly translated.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Fixes display in translated templates.
Comment 9 Jared Camins-Esakov 2013-04-02 12:17:56 UTC
This patch has been pushed to master.
Comment 10 Chris Cormack 2013-04-14 06:04:26 UTC
Pushed to 3.10.x will be in 3.10.5